SDL_ShapeTree Struct Reference

`#include <SDL_shape_internals.h>`

Collaboration diagram for SDL_ShapeTree:
[legend]

## Data Fields

SDL_ShapeKind | kind
SDL_ShapeUnion | data

## Detailed Description

Definition at line 49 of file SDL_shape_internals.h.

## Field Documentation

SDL_ShapeUnion SDL_ShapeTree::data

Definition at line 51 of file SDL_shape_internals.h.

Referenced by RecursivelyCalculateShapeTree(), and SDL_TraverseShapeTree().

SDL_ShapeKind SDL_ShapeTree::kind

Definition at line 50 of file SDL_shape_internals.h.

Referenced by RecursivelyCalculateShapeTree(), and SDL_TraverseShapeTree().

The documentation for this struct was generated from the following file:

- src/video/SDL_shape_internals.h